Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTSecApi.LSA_UNICODE_STRING

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.NTSecApi.LSA_UNICODE_STRING

Direct Known Subclasses:
  NTSecApi.LSA_UNICODE_STRING.ByReference

Enclosing interface:
  NTSecApi

    public static class NTSecApi.LSA_UNICODE_STRING

extends com.sun.jna.Structure

The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.

Nested Class Summary
`static class` | `NTSecApi.LSA_UNICODE_STRING.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.Pointer` | `Buffer` Pointer to a wide character string.
`short` | `Length` Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.
`short` | `MaximumLength` Specifies the total size, in bytes, of the memory allocated for Buffer.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_UNICODE_STRING()`

Method Summary
`java.lang.String` | `getString()` String representation of the buffer.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Length

    public short Length

  Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.

### MaximumLength

    public short MaximumLength

  Specifies the total size, in bytes, of the memory allocated for Buffer. Up to MaximumLength bytes can be written into the buffer without trampling memory.

### Buffer

    public com.sun.jna.Pointer Buffer

  Pointer to a wide character string. Note that the strings returned by the various LSA functions might not be null terminated.

Constructor Detail

### NTSecApi.LSA_UNICODE_STRING

    public NTSecApi.LSA_UNICODE_STRING()

Method Detail

### getString

    public java.lang.String getString()

  String representation of the buffer.

  Returns:
    Unicode string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD